# Alignment Helper Classes

Provides a set of classes that can be used to apply flexible alignment properties. Included classes are: space-between, align-center, align-right, align-vertical which work using utilities for positioning items using flex.

## Alignment

@use scss-foundation/src/partials/core/layout/alignment;

- The `space-between` class applies a flexible alignment to its elements, distributing them along the horizontal axis with space between each element.

- The `align-center` class applies a flexible alignment to its elements, centering them both horizontally and vertically inside the parent container.

- The `align-right` class applies a flexible alignment to its elements, centering them vertically and aligning them to the right side of the parent container.

- The `align-vertical` class applies a flexible alignment to its elements, centering them vertically inside the parent container.
